Skip to content

Get full order book

GET
/v1/marketdata/{currencyPair}/orderbook/full

Returns a list of all the bids and asks in the order book. Ask orders are sorted by price ascending. Bid orders are sorted by price descending. Orders of the same price are NOT aggregated. The LastChange field indicates the timestamp of the last update to the order book.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

The currency pair for which you would like to query the order book

Type
string
Required

Responses

Full order book retrieved successfully

application/json
JSON
{
"Asks": [
{
"side": "sell",
"quantity": "0.998418",
"price": "118000",
"currencyPair": "BTCUSDC",
"id": "0198187f-528b-7856-a6e0-8349fbc5f607",
"positionAtPrice": 1
}
],
"Bids": [
{
"side": "buy",
"quantity": "0.0000043",
"price": "117819",
"currencyPair": "BTCUSDC",
"id": "01981a20-ea17-702f-b0ab-62b4b0526be2",
"positionAtPrice": 1
},
{
"side": "buy",
"quantity": "0.00001",
"price": "117819",
"currencyPair": "BTCUSDC",
"id": "01981a20-ea7b-7dce-bc85-5d3c6f4fc7e6",
"positionAtPrice": 2
}
],
"LastChange": "2025-08-05T08:51:11.470Z",
"SequenceNumber": 2907775
}

Playground

Authorization
Variables
Key
Value

Samples